import { DialogProps, PopperProps } from "@mui/material";
import { PropsWithChildren, ReactElement } from "react";
import { PickersActionBarProps } from "@mui/x-date-pickers/PickersActionBar";
export interface NerdPickerWrapperProps {
    popperProps: PopperProps;
    dialogProps: DialogProps;
    dialogActionBarProps?: PickersActionBarProps;
    popperActionBarProps?: PickersActionBarProps;
}
/**
 *
 * @param {NerdPickerWrapperProps} props Component props
 * @returns {ReactElement} NerdPickerWrapper
 */
declare function NerdPickerWrapper(props: PropsWithChildren<NerdPickerWrapperProps>): ReactElement;
export { NerdPickerWrapper };
